/**
 * @file      user_util.h
 * @brief     kdp host lib user test header file
 * @version   0.1 - 2019-08-01 
 * @copyright (c) 2019 Kneron Inc.All right reserved.
 */

#ifndef __USER_UTIL__H__
#define __USER_UTIL__H__

#if defined (__cplusplus) || defined (c_plusplus)
extern "C"{
#endif

#define TEST_IMG_DIR    "../test_image/img/"
#define TEST_DME_DIR    "../test_image/dme/"
#define TEST_OTA_DIR    "../test_image/ota/"

#define IMAGE_DATA_FILE (TEST_IMG_DIR "u1_f1_rgb.bin")
#define IMAGE_DATA_FILE_U18 (TEST_IMG_DIR "u18_f1_rgb.bin")

#define IMAGE_SIZE (640*480*2)
#define SLEEP_TIME 1000

int read_file_to_buf(char* buf, const char* fn, int nlen);

#if defined (__cplusplus) || defined (c_plusplus)
}
#endif

#endif
