#ifndef __KDP_DDR_TABLE_H_
#define __KDP_DDR_TABLE_H_

/* DDR */
#define KDP_DDR_BASE                    0x60000000   //reserved 32MB for models
#define KDP_DDR_MODEL_RESERVED_END      0x61FFFFFF

#define KDP_DDR_HEAP_HEAD_FOR_MALLOC    0x62FFDFFF
#define KDP_DDR_BASE_IMAGE_BUF          0x62FFE000   //reserved  : 3buffers (1280 x 720 x 3)
/* camera-0:
 *   duplicated frame  0x62FFE000
 *   cam0 - buf0       0x632A1000
 *   cam0 - buf1       0x63544000
 */

#define KDP_DDR_BASE_IMAGE_BUF2         0x637E7000   //reserved  : 3buffers (1280 x 720 x 3)
/* camera-1:
 *   duplicated frame  0x637E7000
 *   cam1 - buf0       0x63A8A000
 *   cam1 - buf1       0x63D2D000
*/

#define KDP_DDR_BASE_SYSTEM_RESERVED    0x63FD0000   //reserved 191 KB
#define KDP_DDR_MODEL_INFO_TEMP         0x63FFC000   //1KB
#define KDP_DDR_END                     0x63FFFFFF

#define KDP_IMAGE_BUF_SIZE              0x2A3000     //1280 x 720 x 3

#endif
