#pragma once
#include "base.h"

typedef struct __device_id
{
    char* device_name;
    u32 id;
} device_id;

typedef struct __system_info
{
    u32 unique_id;
    u32 spl_version;
    u32 fw_scpu_version;
    u32 fw_ncpu_version;
    device_id device_id_0;
    device_id device_id_1;
    device_id device_id_2;
    device_id device_id_3;
    device_id device_id_4;
    device_id device_id_5;
    //device_id device_id_6;
} system_info;

extern void kl520_api_get_device_info(system_info* t_system_info);
