#ifndef __KL520_INCLUDE_H__
#define __KL520_INCLUDE_H__


#include "base.h"
#include "framework/event.h"
#include "framework/v2k_color.h"

/**
 * @defgroup Camera_setting
 *
 * @{
 */
#define CAMERA_RGB_IDX              (0)
#define CAMERA_NIR_IDX              (1)
#define CAMERA_RGB_IMG_WIDTH        (640)
#define CAMERA_RGB_IMG_HEIGHT       (480)
#define CAMERA_NIR_IMG_WIDTH        (480)
#define CAMERA_NIR_IMG_HEIGHT       (640)
/** @} */


/**
 * @defgroup Display_setting
 *
 * @{
 */
#define LCD_WIDTH                   (640)
#define LCD_HEIGHT                  (480)

#define LCD_HINT_BOUNDINGBOX_MARGIN_LEN (30)
/** @} */

#define IMG_PIX_FMT_YCBCR           (V2K_PIX_FMT_YCBCR)
#define IMG_PIX_FMT_RGB565          (V2K_PIX_FMT_RGB565)
#define IMG_PIX_FMT_RAW10           (V2K_PIX_FMT_RAW10)
#define IMG_PIX_FMT_RAW8            (V2K_PIX_FMT_RAW8)

#define FLAGS_FDFR_ACK              (BIT0)
#define FLAGS_CAMERA_ACK            (BIT1)


#endif
