/* user_io.c
*
*  Copyright (C) 2019 Kneron, Inc. All rights reserved.
*
*/

#ifdef BOARD_CUSTOMER1
#include "user_io.h"
//#include "kdp520_i2c.h"
#include "kdp_i2c.h"
#include "kdp520_gpio.h"
#include "pinmux.h"
#include "dbg.h"


void init_io_extender(void)
{
    /*u8 buf = 0;
    int io_base = 0xc1000000;//i2c0 //mipi0
    int dev_addr = 0x5B;
    //I2Cdrv->Initialize(NULL);
    //I2Cdrv->dev->address_mode = ADDR_MODE_8BIT;
    u8 regAddr = 0x10;

    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 1);
    DSG("id = %x\n", buf);

    regAddr = 0x04;
    buf = 0x00;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 0);
    regAddr = 0x05;
    buf = 0x00;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 0);

    regAddr = 0x02;
    buf = 0x6A;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 0);
    regAddr = 0x02;
    buf = 0x6E;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 0);

    delay_ms(5);

    regAddr = 0x11;
    buf = 0x10;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 0);
    regAddr = 0x12;
    buf = 0xFF;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 0);

    regAddr = 0x03;
    buf = 0x01;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 0);

    regAddr = 0x10;
    kdp520_i2c_xfer_msg_test(io_base, dev_addr, regAddr, &buf, 1, 1);
    DSG("id = %x\n", buf);*/


    u16 regAddr = 0x10;
    int dev_addr = 0x5B;
    u8 data = 0;

    kdp_i2c_receive(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_read(I2C_ADAP_0, dev_addr, regAddr, 1, &data);
    DSG("0_GGGGG io exptender=%x", data);

    regAddr = 0x04;
    data = 0x00;
    kdp_i2c_transmit(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_write(I2C_ADAP_0, dev_addr, regAddr, 1, data);

    regAddr = 0x05;
    data = 0x00;
    kdp_i2c_transmit(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_write(I2C_ADAP_0, dev_addr, regAddr, 1, data);

    regAddr = 0x02;
    data = 0x6A;
    kdp_i2c_transmit(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_write(I2C_ADAP_0, dev_addr, regAddr, 1, data);

    regAddr = 0x02;
    data = 0x6E;
    kdp_i2c_transmit(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_write(I2C_ADAP_0, dev_addr, regAddr, 1, data);

    regAddr = 0x11;
    data = 0x10;
    kdp_i2c_transmit(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_write(I2C_ADAP_0, dev_addr, regAddr, 1, data);

    regAddr = 0x12;
    data = 0xFF;
    kdp_i2c_transmit(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_write(I2C_ADAP_0, dev_addr, regAddr, 1, data);

    regAddr = 0x03;
    data = 0x01;
    kdp_i2c_transmit(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_write(I2C_ADAP_0, dev_addr, regAddr, 1, data);

    regAddr = 0x10;
    kdp_i2c_receive(KDP_I2C_CTRL_0, dev_addr, regAddr, 1, 1, &data);
    //kdp_drv_i2c_read(I2C_ADAP_0, dev_addr, regAddr, 1, &data);
    DSG("1_GGGGG io exptender=%x", data);

}

void rgb_led_init(void)
{
	PINMUX_LC_DATA12_SET(PINMUX_LC_DATA12_GPIO1);
	kdp520_gpio_cleardata(1 << GPIO_1);
	kdp520_gpio_pulldisable(GPIO_1);
	kdp520_gpio_setdir(GPIO_1, GPIO_DIR_OUTPUT);
} 


#endif
