#include "base.h"
#include "pinmux.h"
#include "scu_extreg.h"
#include "dbg.h"

//#define PINMUX_TEST
#ifdef PINMUX_TEST
void pinmux_test() {
    SCU_EXTREG_CLK_EN0_SET_scpu_traceclk(1);
    SCU_EXTREG_CLK_MUX_SEL_SET_ncpu_traceclk(1);
    SCU_EXTREG_CLK_DIV7_SET_scpu_traceclk_div(1);
    
    //SCU_EXTREG_LC_PCLK_IOCTL_SET_sel(0);
    SCU_EXTREG_LC_PCLK_IOCTL_SET_sel(6);
}
#endif
#ifdef DEBUG_PINMUX
void debug_pinmux(void)
{


}
#endif

#ifdef BOARD_CUSTOMER1
static void pinmux_set_board(void)
{    
#ifndef BOARD_96
    PINMUX_LC_DATA5_SET(PINMUX_LC_DATA5_GPIO16);
    PINMUX_LC_VS_SET(PINMUX_LC_VS_LCM_DB0);
    PINMUX_LC_HS_SET(PINMUX_LC_HS_LCM_DB1);
    PINMUX_LC_DE_SET(PINMUX_LC_DE_LCM_DB2);
    PINMUX_LC_DATA0_SET(PINMUX_LC_DATA0_LCM_DB3);
    PINMUX_LC_DATA1_SET(PINMUX_LC_DATA1_LCM_DB4);
    PINMUX_LC_DATA2_SET(PINMUX_LC_DATA2_LCM_DB5);
    PINMUX_LC_DATA3_SET(PINMUX_LC_DATA3_LCM_DB6);
    PINMUX_LC_DATA4_SET(PINMUX_LC_DATA4_LCM_DB7);
    PINMUX_LC_DATA5_SET(PINMUX_LC_DATA5_GPIO16);//TE PIN
//    PINMUX_LC_DATA6_SET(PINMUX_LC_DATA6_LCM_DB9);
//    PINMUX_LC_DATA7_SET(PINMUX_LC_DATA7_LCM_DB10);
//    PINMUX_LC_DATA8_SET(PINMUX_LC_DATA8_LCM_DB11);
//    PINMUX_LC_DATA9_SET(PINMUX_LC_DATA9_LCM_DB12);
//    PINMUX_LC_DATA10_SET(PINMUX_LC_DATA10_LCM_DB13);
//    PINMUX_LC_DATA11_SET(PINMUX_LC_DATA11_LCM_DB14);
//    PINMUX_LC_DATA12_SET(PINMUX_LC_DATA12_LCM_DB15);
//    PINMUX_LC_DATA13_SET(PINMUX_LC_DATA13_LCM_DB16);
//    PINMUX_LC_DATA14_SET(PINMUX_LC_DATA14_LCM_DB17);
    PINMUX_LC_DATA15_SET(PINMUX_LC_DATA15_LCM_SCn);
    PINMUX_SD_CLK_SET(PINMUX_SD_CLK_LCM_WR);
    PINMUX_SD_CMD_SET(PINMUX_SD_CMD_LCM_RS);
    PINMUX_SD_DATA0_SET(PINMUX_SD_DATA0_LCM_RD);
    PINMUX_SD_DATA1_SET(PINMUX_SD_DATA1_LCM_RESETn);
    PINMUX_SD_DATA2_SET(PINMUX_SD_DATA2_LCM_BLCTRL);
    PINMUX_SD_DATA3_SET(PINMUX_SD_DATA3_LCM_TP_INT1);
#endif
}
#endif

void pinmux_init(void)
{
#ifdef BOARD_CUSTOMER1
    pinmux_set_board();
#endif
}
