#ifndef __SAMPLE_KDP_FDR_H__
#define __SAMPLE_KDP_FDR_H__


#include "base.h"
#include "framework/result.h"
#include "framework/v2k_image.h"


bool sample_kneron_fdr_model_init(void);
void sample_kneron_fdr_check_valid_user(int curr_user_idx);
fdr_result sample_kneron_fdr_inference(void);
int sample_kneron_get_available_db_idx(void);
int sample_kneron_get_remaining_fmap_cnt(int user_idx);
int sample_kneron_fdr_registration(u32 curr_user_idx);
int sample_kneron_5face_registration(u32 curr_user_idx, int type);
int sample_kneron_fdr_add_user(u32 curr_user_idx);
int sample_kneron_fdr_del_user(unsigned char all, u32 curr_user_idx);
int sample_kneron_fdr_cancel(void);
int sample_kneron_fdr_abort(void);
int sample_kneron_fdr_registration_confirm(u32 curr_user_idx);
int sample_kneron_fdr_both_registration_confirm(u32 curr_user_idx);
int sample_kneron_fdr_auto_reg(u32 curr_user_idx, int reg_index);
int sample_kneron_fdr_both_reg(u32 curr_user_idx, int reg_index);
fdr_result sample_kneron_fdr_both_inference(void);

#endif
