#pragma once

#include "base.h"

typedef enum __product_type
{
    DEVICE_TYPE_EVB = 0,
    DEVICE_TYPE_CUSTOMER1= 1,
} product_type;

typedef enum __fsm_state
{
    REMAIN_STATE = -1,
    STATE_FRONT_PAGE = 0,
    STATE_MAIN_MENU,
    STATE_OPEN_REGISTER,
    STATE_START_REGISTER,
    STATE_INFERENCE,
    STATE_DELETE_ALL,
} fsm_state;

void ui_op_main_menu(void);
void ui_op_front_page(void);
int ui_op_inference(void);
int ui_op_open_registration(void);
int ui_op_start_registration(void);
int ui_op_delete_all(void);

extern u8 ui_get_main_state(void);

