#ifndef __SYSTEM_H__
#define __SYSTEM_H__

#include "base.h"

#define FLAGS_SOURCE_READY_EVT     0x91ad

#define SCPU_FW     1
#define NCPU_FW     2

void system_init(void);
void system_init_ncpu(void);
void system_wakeup_ncpu(int boot_loader_flag, unsigned char wakeup_all);
void reload_ncpu_fw(void);
u32 load_ncpu_fw(int reset_flag);
u32 system_check_fw_image(int fw_type);

#endif
